Subject: Re: [PATCH 2.6.24 1/1] sch_htb: fix "too many events" situation

From: David Miller <[email-masked]>
Date: Sun, 17 Feb 2008 23:28:29 -0800 (PST)

From: Martin Devera <[email-masked]>
Date: Fri, 15 Feb 2008 00:02:56 +0100

> From: Martin Devera <[email-masked]>
> 
> HTB is event driven algorithm and part of its work is to apply
> scheduled events at proper times. It tried to defend itself from
> livelock by processing only limited number of events per dequeue.
> Because of faster computers some users already hit this hardcoded
> limit.
> This patch uses loops_per_jiffy variable to limit event processing
> up to single jiffy interval and then delay remainder to other
> jiffy.
> 
> Signed-off-by: Martin Devera <[email-masked]>

I think we would be wise to use something other than loops_per_jiffy.

Depending upon the loop calibration method used by a particular
architecture it can me one of many different things.

Some platforms don't even make use of it and thus leave it at it's
default value of "1<<12", so using it as a heuristic here is arbitrary
at best.